/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 *
 * @author Administrador
 */
@Entity
@Table(name = "TARJETAS_RECAUDACION")
public class TarjetaRecaudacion implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TarjetaRecaudacionPK tarjetasRecaudacionPK;
    @OneToOne
    @JoinColumn(name = "EMPRESA_ID")
    private Empresa empresa;
    @Column(name = "INGRESO_CORRIDA")
    private Double ingresoCorrida;
    @Column(name = "PAGADO")
    private Boolean pagado;
    @OneToOne
    @JoinColumn(name = "RUTA_ID")
    private Ruta ruta;
    @OneToOne
    @JoinColumn(name = "AUTOBUS_ID")
    private Autobus autobus;
    @OneToOne
    @JoinColumn(name = "CLASESERVICIO_ID")
    private ClaseServicio claseServicio;
    @OneToOne
    @JoinColumn(name = "MARCA_ID")
    private Marca marca;
    @Column(name = "ACTUALIZAR")
    private Boolean actualizar;
    @Column(name = "OBSERVACIONES")
    private String observaciones;
    @Column(name = "CONDUCTOR_ID")
    private Integer conductorId;
    @OneToOne
    @JoinColumn(name = "ORIGEN_ID")
    private Parada origen;
    @OneToOne
    @JoinColumn(name = "DESTINO_ID")
    private Parada destino;
    @Column(name = "ACTIVO")
    private Boolean activo;
    @OneToOne
    @JoinColumns({
        @JoinColumn(name = "CORRIDA_ID", referencedColumnName = "CORRIDA_ID"),
        @JoinColumn(name = "FECCORRIDA", referencedColumnName = "FECCORRIDA")
    })
    private Corrida corrida;

    public TarjetaRecaudacion() {
    }

    public TarjetaRecaudacion(TarjetaRecaudacionPK tarjetasRecaudacionPK) {
        this.tarjetasRecaudacionPK = tarjetasRecaudacionPK;
    }

    public TarjetaRecaudacion(Integer tarjetarecaudacionId, Boolean manual) {
        this.tarjetasRecaudacionPK = new TarjetaRecaudacionPK(tarjetarecaudacionId, manual);
    }

    public TarjetaRecaudacionPK getTarjetasRecaudacionPK() {
        return tarjetasRecaudacionPK;
    }

    public void setTarjetasRecaudacionPK(TarjetaRecaudacionPK tarjetasRecaudacionPK) {
        this.tarjetasRecaudacionPK = tarjetasRecaudacionPK;
    }

    public Double getIngresoCorrida() {
        return ingresoCorrida;
    }

    public void setIngresoCorrida(Double ingresoCorrida) {
        this.ingresoCorrida = ingresoCorrida;
    }

    public Boolean getPagado() {
        return pagado;
    }

    public void setPagado(Boolean pagado) {
        this.pagado = pagado;
    }

    public Boolean getActualizar() {
        return actualizar;
    }

    public void setActualizar(Boolean actualizar) {
        this.actualizar = actualizar;
    }

    public String getObservaciones() {
        return observaciones;
    }

    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }

    public Integer getConductorId() {
        return conductorId;
    }

    public void setConductorId(Integer conductorId) {
        this.conductorId = conductorId;
    }

    public Boolean getActivo() {
        return activo;
    }

    public void setActivo(Boolean activo) {
        this.activo = activo;
    }

    public Autobus getAutobus() {
        return autobus;
    }

    public void setAutobus(Autobus autobus) {
        this.autobus = autobus;
    }

    public ClaseServicio getClaseServicio() {
        return claseServicio;
    }

    public void setClaseServicio(ClaseServicio claseServicio) {
        this.claseServicio = claseServicio;
    }

    public Corrida getCorrida() {
        return corrida;
    }

    public void setCorrida(Corrida corrida) {
        this.corrida = corrida;
    }

    public Parada getDestino() {
        return destino;
    }

    public void setDestino(Parada destino) {
        this.destino = destino;
    }

    public Empresa getEmpresa() {
        return empresa;
    }

    public void setEmpresa(Empresa empresa) {
        this.empresa = empresa;
    }

    public Marca getMarca() {
        return marca;
    }

    public void setMarca(Marca marca) {
        this.marca = marca;
    }

    public Parada getOrigen() {
        return origen;
    }

    public void setOrigen(Parada origen) {
        this.origen = origen;
    }

    public Ruta getRuta() {
        return ruta;
    }

    public void setRuta(Ruta ruta) {
        this.ruta = ruta;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tarjetasRecaudacionPK != null ? tarjetasRecaudacionPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarjetaRecaudacion)) {
            return false;
        }
        TarjetaRecaudacion other = (TarjetaRecaudacion) object;
        if ((this.tarjetasRecaudacionPK == null && other.tarjetasRecaudacionPK != null) || (this.tarjetasRecaudacionPK != null && !this.tarjetasRecaudacionPK.equals(other.tarjetasRecaudacionPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.TarjetasRecaudacion[ tarjetasRecaudacionPK=" + tarjetasRecaudacionPK + " ]";
    }
}
